# irc – Send a message to an IRC channel

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Send a message to an IRC channel. This is a very simplistic implementation.

## Requirements

The below requirements are needed on the host that executes this module.

- socket

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
channel - / required |  | Channel name. One of nick_to or channel needs to be set. When both are set, the message will be sent to both of them.

color
-

Choices:
- none ←
- white
- black
- blue
- green
- red
- brown
- purple
- orange
- yellow
- light_green
- teal
- light_cyan
- light_blue
- pink
- gray
- light_gray

Text color for the message. ("none" is a valid option in 1.6 or later, in 1.6 and prior, the default color is black, not "none"). Added 11 more colors in version 2.0.

key - |  | Channel key
msg - / required |  | The message body.
nick - | Default: "ansible" | Nickname to send the message from. May be shortened, depending on server's NICKLEN setting.
nick_to - |  | A list of nicknames to send the message to. One of nick_to or channel needs to be set. When both are defined, the message will be sent to both of them.

part
boolean

Choices:
- no
- yes ←

Designates whether user should part from channel after sending message or not. Useful for when using a faux bot and not wanting join/parts between messages.

passwd - |  | Server password
port - | Default: 6667 | IRC server port number
server - | Default: "localhost" | IRC server name/address

style
-

Choices:
- bold
- underline
- reverse
- italic

Text style for the message. Note italic does not work on some clients

timeout - | Default: 30 | Timeout to use while waiting for successful registration and join messages, this is to prevent an endless loop
topic - |  | Set the channel topic

use_ssl
boolean

Choices:
- no ←
- yes

Designates whether TLS/SSL should be used when connecting to the IRC server

## Examples

    - irc:
        server: irc.example.net
        channel: #t1
        msg: Hello world

    - local_action:
        module: irc
        port: 6669
        server: irc.example.net
        channel: #t1
        msg: 'All finished at {{ ansible_date_time.iso8601 }}'
        color: red
        nick: ansibleIRC

    - local_action:
        module: irc
        port: 6669
        server: irc.example.net
        channel: #t1
        nick_to:
          - nick1
          - nick2
        msg: 'All finished at {{ ansible_date_time.iso8601 }}'
        color: red
        nick: ansibleIRC

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jan-Piet Mens (@jpmens)
- Matt Martz (@sivel)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.